# Server

#### new Server(http, optionsopt)

Source:
  - jiggServer.js, line 16

Create a new JIGG server.

##### Parameters:

Name | Type | Attributes | Description
--- | --- | --- | ---
`http` | http |  | An HTTP server to be used to initialize a socket.io server.
`options` | object | <optional> | additional optional options including: debug, which defaults to false.

### Methods

#### makeAgent(role, optionsopt) → {Agent}

Source:
  - jiggServer.js, line 85

Creates and returns a new JIGG Client Agent This agent is wired into the server, to avoid unnecessary overheads.

##### Parameters:

Name | Type | Attributes | Description
--- | --- | --- | ---
`role` | string |  | either 'Garbler' or 'Evaluator'.
`options` | object | <optional> | same format as the Client Agent constructor.

##### Returns:

the client Agent ready to use normally.

Type
  Agent